package client.gui.element;

import client.renderer.Drawing;

public class TransparentArea extends Area {
	private final boolean background;
	
	public TransparentArea(int x, int y, int w, int h, String text, boolean background) {
		super(x, y, w, h, text);
		this.background = background;
	}

	protected void drawBackground() {
		if(this.background)
			Drawing.drawRect(this.pos_x, this.pos_y, this.size_x, this.size_y, 0x3f000000);
	}
}
